Subject: bug#27016: possible bug in `defsetf'

From: Stefan Monnier <[email-masked]>
Date: Thu, 13 Jul 2017 23:48:16 -0400

> Except that it isn't.  While compiling map.el, I get
>
> ../../emacs-master/lisp/emacs-lisp/map.el:292:1:Error: Symbol’s function definition is void: internal-make-closure

Hmm... yes ... interesting ... I see the problem: byte-compile-function-put
receives a form that's been preprocessed.  These look very much like
Elisp, but fundamentally, they're really just a different intermediate
representation, which includes things like `internal-make-closure', so
they can't be used as Elisp expressions (e.g. passed to `eval`): they
need to be passed through the rest of the compiler before they can be used.

I'm not sure yet how best way to solve this.

        Stefan